/* InvariantValuePopupMenu.java
 * =========================================================================
 * This file is part of the GrInvIn project - http://www.grinvin.org
 * 
 * Copyright (C) 2005-2008 Universiteit Gent
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * A copy of the GNU General Public License can be found in the file
 * LICENSE.txt provided with the source distribution of this program (see
 * the META-INF directory in the source jar). This license can also be
 * found on the GNU website at http://www.gnu.org/licenses/gpl.html.
 * 
 * If you did not receive a copy of the GNU General Public License along
 * with this program, contact the lead developer, or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

package org.grinvin.list.actions;

import java.awt.Component;
import javax.swing.JComponent;
import javax.swing.JPopupMenu;

import org.grinvin.invariants.InvariantValue;
import org.grinvin.list.graphs.GraphListElement;

/**
 *
 */
public class InvariantValuePopupMenu extends JPopupMenu {
    
    //
    private GraphListElement gle;
    
    //
    public void setGraphListElement(GraphListElement gle) {
        this.gle = gle;
        setEnabled(gle != null && iv != null);
    }
  
    //
    private InvariantValue iv;
    
    //
    public void setInvariantValue (InvariantValue iv) {
        this.iv = iv;
        setEnabled(iv != null && gle != null);
    }
  
    //
    private RecalculateInvariantValueAction rAction;
    
    //
    private ShowDetailsAction sAction;
    
    public InvariantValuePopupMenu () {
        this.rAction = new RecalculateInvariantValueAction ();
        this.sAction = new ShowDetailsAction();
        
        add (rAction);
        add (sAction);
    }
    
    public void show(GraphListElement gle, InvariantValue iv, Component invoker, int x, int y) {
        rAction.setGraphListElement(gle);
        rAction.setInvariantValue(iv);
        sAction.setGraphListElement(gle);
        sAction.setInvariantValue(iv);
        sAction.setComponent((JComponent)invoker);
        sAction.setX(x);
        sAction.setY(y);
        show (invoker, x, y);
    }
}
