/* Exit.java
 * =========================================================================
 * This file is part of the GrInvIn project - http://www.grinvin.org
 * 
 * Copyright (C) 2005-2008 Universiteit Gent
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * A copy of the GNU General Public License can be found in the file
 * LICENSE.txt provided with the source distribution of this program (see
 * the META-INF directory in the source jar). This license can also be
 * found on the GNU website at http://www.gnu.org/licenses/gpl.html.
 * 
 * If you did not receive a copy of the GNU General Public License along
 * with this program, contact the lead developer, or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

package org.grinvin.main.actions;

import java.awt.event.ActionEvent;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.AbstractAction;

import org.grinvin.io.WorkspaceSaver;
import org.grinvin.workspace.Workspace;
import org.grinvin.workspace.WorkspaceException;


/**
 * Action that exists the application but first saves the current workspace.
 */
public class Exit extends AbstractAction {

    public void actionPerformed(ActionEvent e) {
        handleExit();
    }
    
    public static void handleExit() {
        // TODO: move this to a different class
        try {
            WorkspaceSaver.save(Workspace.getInstance());
        } catch (WorkspaceException ex) {
            Logger.getLogger("org.grinvin.io").log(Level.SEVERE, "Failed to save workspace", ex);
        }
        System.exit(0);
    }
}
