/* HideSubwindowMenuItem.java
 * =========================================================================
 * This file is part of the GrInvIn project - http://www.grinvin.org
 * 
 * Copyright (C) 2005-2008 Universiteit Gent
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * A copy of the GNU General Public License can be found in the file
 * LICENSE.txt provided with the source distribution of this program (see
 * the META-INF directory in the source jar). This license can also be
 * found on the GNU website at http://www.gnu.org/licenses/gpl.html.
 * 
 * If you did not receive a copy of the GNU General Public License along
 * with this program, contact the lead developer, or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

package org.grinvin.worksheet;

import be.ugent.caagt.swirl.subwindows.Subwindow;

import javax.swing.JCheckBoxMenuItem;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

/**
 * Menu item to toggle the visible state of a subwindow.
 */
public class HideSubwindowMenuItem extends JCheckBoxMenuItem implements ChangeListener, SubwindowModelListener {
    
    //
    private Subwindow subwindow;
    
    //
    private SubwindowModel model;
    
    /**
     * Creates a new instance of HideSubwindowMenuItem
     */
    public HideSubwindowMenuItem(Subwindow subwindow, SubwindowModel model) {
        super(subwindow.getComponent(0).getName());
        this.subwindow = subwindow;
        this.model = model;
        setSelected(model.isVisible());
        addChangeListener(this);
        model.addSubwindowModelListener(this);
    }

    public void stateChanged(ChangeEvent e) {
        model.setVisible(isSelected());
    }

    public void visibleStateChanged() {
        setSelected(model.isVisible());
    }

    public void collapsedStateChanged() {
        //ignore
    }

}
